const base = require("./configs/base");
const validDefinePropsOptions = require("./rules/valid-define-props-options");
const NoUndefComponents = require("./rules/nuxt/no-undef-components");

const plugin = {
    rules: { "valid-define-props-options": validDefinePropsOptions },
    rules: { "nuxt/no-undef-components": NoUndefComponents },
    configs: { base },
    meta: {
        name: "eslint-plugin-vue-cringe",
        version: "0.0.2"
    },
};
module.exports = plugin;
